Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class GroovyCategorySupport.CategoryMethodList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList

    public static class GroovyCategorySupport.CategoryMethodList
    extends java.util.ArrayList

Field Summary
`int` | `level`

Constructor Summary
`GroovyCategorySupport.CategoryMethodList(java.lang.String name, int level, CategoryMethodList previous)`

Method Summary
`boolean` | `add(CategoryMethod o)`

Methods inherited from class java.util.ArrayList
java.util.ArrayList#add(java.lang.Object), java.util.ArrayList#add(int, java.lang.Object), java.util.ArrayList#get(int), java.util.ArrayList#clone(), java.util.ArrayList#indexOf(java.lang.Object), java.util.ArrayList#clear(), java.util.ArrayList#size(), java.util.ArrayList#isEmpty(), java.util.ArrayList#lastIndexOf(java.lang.Object), java.util.ArrayList#contains(java.lang.Object), java.util.ArrayList#subList(int, int), java.util.ArrayList#toArray(), java.util.ArrayList#toArray([Ljava.lang.Object;), java.util.ArrayList#remove(int), java.util.ArrayList#remove(java.lang.Object), java.util.ArrayList#addAll(java.util.Collection), java.util.ArrayList#addAll(int, java.util.Collection), java.util.ArrayList#iterator(), java.util.ArrayList#set(int, java.lang.Object), java.util.ArrayList#trimToSize(), java.util.ArrayList#ensureCapacity(int), java.util.ArrayList#removeAll(java.util.Collection), java.util.ArrayList#retainAll(java.util.Collection), java.util.ArrayList#listIterator(int), java.util.ArrayList#listIterator(), java.util.ArrayList#equals(java.lang.Object), java.util.ArrayList#hashCode(), java.util.ArrayList#toString(), java.util.ArrayList#containsAll(java.util.Collection), java.util.ArrayList#wait(long), java.util.ArrayList#wait(long, int), java.util.ArrayList#wait(), java.util.ArrayList#getClass(), java.util.ArrayList#notify(), java.util.ArrayList#notifyAll()

Methods inherited from class java.util.AbstractList
java.util.AbstractList#add(java.lang.Object), java.util.AbstractList#add(int, java.lang.Object), java.util.AbstractList#get(int), java.util.AbstractList#equals(java.lang.Object), java.util.AbstractList#hashCode(), java.util.AbstractList#indexOf(java.lang.Object), java.util.AbstractList#clear(), java.util.AbstractList#lastIndexOf(java.lang.Object), java.util.AbstractList#subList(int, int), java.util.AbstractList#remove(int), java.util.AbstractList#addAll(int, java.util.Collection), java.util.AbstractList#iterator(), java.util.AbstractList#set(int, java.lang.Object), java.util.AbstractList#listIterator(), java.util.AbstractList#listIterator(int), java.util.AbstractList#toString(), java.util.AbstractList#size(), java.util.AbstractList#isEmpty(), java.util.AbstractList#contains(java.lang.Object), java.util.AbstractList#toArray(), java.util.AbstractList#toArray([Ljava.lang.Object;), java.util.AbstractList#remove(java.lang.Object), java.util.AbstractList#addAll(java.util.Collection), java.util.AbstractList#containsAll(java.util.Collection), java.util.AbstractList#removeAll(java.util.Collection), java.util.AbstractList#retainAll(java.util.Collection), java.util.AbstractList#wait(long), java.util.AbstractList#wait(long, int), java.util.AbstractList#wait(), java.util.AbstractList#getClass(), java.util.AbstractList#notify(), java.util.AbstractList#notifyAll(), java.util.AbstractList#size()

Field Detail

### level

    public final int level

Constructor Detail

### GroovyCategorySupport.CategoryMethodList

    public GroovyCategorySupport.CategoryMethodList(java.lang.String name, int level, CategoryMethodList previous)

Method Detail

### add

    public boolean add(CategoryMethod o)

Groovy Documentation